Debian Bug report logs - #21331
lynx: odd rendering of DIV

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Chris Lawrence <lawrencc@debian.org>

Date: Sat, 18 Apr 1998 06:18:01 UTC

Severity: wishlist

Found in version 2.8-1

Done: Adrian Bunk <bunk@fs.tum.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#21331; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Chris Lawrence <quango@ix.netcom.com>:
New bug report received and forwarded. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Lawrence <quango@ix.netcom.com>
To: submit@bugs.debian.org
Subject: lynx: odd rendering of DIV
Date: Sat, 18 Apr 1998 01:10:43 -0500
Package: lynx
Version: 2.8-1
Severity: wishlist

[This almost certainly is an upstream problem]

The following HTML fragment:

<ul>
<li>Howdy
<p>Dowdy</p>
<DIV id=ping>Doody</DIV>
Pingles
</ul>

formats as:

     * Howdy
       Dowdy
       
   Doody
       Pingles

IMHO, it probably should format like:

     * Howdy
       Dowdy
       
       Doody
       Pingles

since the DIV is inside a LI and UL... note that paragraphs *do* format this
way, and a DIV is (more or less) a paragraph-type element according to the
HTML 4 spec. (also, maybe a blank line between "Doody" and "Pingles" to be
consistent with the line between "Dowdy" and "Doody")

-- System Information
Debian Release: 2.0 (frozen)
Kernel Version: Linux mem-tn4-14.ix.netcom.com 2.1.95 #1 Sat Apr 11 19:38:58 CDT 1998 i486 unknown

Versions of the packages lynx depends on:
libc6	Version: 2.0.7pre1-4
slang0.99.38	Version: 0.99.38-2.18
zlib1g	Version: 1:1.1.1-0.1

--- Begin /etc/lynx.cfg (modified conffile)
STARTFILE:http://localhost/
HELPFILE:file://localhost/usr/doc/lynx/lynx_help/lynx_help_main.html
DEFAULT_INDEX_FILE:http://www.ncsa.uiuc.edu/SDG/Software/Mosaic/MetaIndex.html
LOCAL_EXECUTION_LINKS_ALWAYS_ON:FALSE
LOCAL_EXECUTION_LINKS_ON_BUT_NOT_REMOTE:FALSE
TRUSTED_EXEC:none
ALWAYS_TRUSTED_EXEC:none
TRUSTED_LYNXCGI:none
NNTPSERVER:nntp.ix.netcom.com
PRINTER:Okidata OL840:enscript %s:FALSE
NO_DOT_FILES:FALSE
MINIMAL_COMMENTS:TRUE
GLOBAL_EXTENSION_MAP:/etc/mime.types
PERSONAL_EXTENSION_MAP:.mime.types
XLOADIMAGE_COMMAND:
GLOBAL_MAILCAP:/etc/mailcap
PERSONAL_MAILCAP:.mailcap
COLOR:0:lightgray:black
COLOR:1:blue:black
COLOR:2:yellow:blue
COLOR:3:green:black
COLOR:4:magenta:black
COLOR:5:blue:black
COLOR:6:red:black
COLOR:7:magenta:cyan

--- End /etc/lynx.cfg


Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#21331; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Klaus Weide <kweide@enteract.com>:
Extra info received and forwarded to list. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #10 received at 21331@bugs.debian.org (full text, mbox):

From: Klaus Weide <kweide@enteract.com>
To: 21331@bugs.debian.org
Cc: Chris Lawrence <quango@watervalley.net>
Subject: Re: lynx: odd rendering of DIV
Date: Fri, 9 Jul 1999 07:29:08 -0500 (CDT)
Fixed in upstream development code as of 2.8.3dev.3.

  Klaus



Bug closed, send any further explanations to Chris Lawrence <quango@ix.netcom.com> Request was from Chris Lawrence <lawrencc@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Chris Lawrence <lawrencc@debian.org>. Request was from Chris Lawrence <lawrencc@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adrian Bunk <bunk@fs.tum.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris Lawrence <lawrencc@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 21331-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: <21331-done@bugs.debian.org>
Subject: This bug is already fixed
Date: Sat, 18 Aug 2001 16:04:15 +0200 (CEST)
This bug is already fixed in all lynx packages in stable/testing/unstable.

cu
Adrian

-- 

Get my GPG key: finger bunk@debian.org | gpg --import

Fingerprint: B29C E71E FE19 6755 5C8A  84D4 99FC EA98 4F12 B400




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:55:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.